SWAY(1)

NAME
sway - SirCmpwn's Wayland window manager

SYNOPSIS

sway [options] [command]

OPTIONS

-h, --help
    Show help message and quit.

-c, --config <config>
    Specifies a config file.

-C, --validate
    Check the validity of the config file, then exit.

-d, --debug
    Enables full logging, including debug information.

-v, --version
    Show the version number and quit.

-V, --verbose
    Enables more verbose logging.

--get-socketpath
    Gets the IPC socket path and prints it, then exits.

DESCRIPTION

sway was created to fill the need of an i3-like window manager for Wayland. The upstream i3 developers have no intention of porting i3 to Wayland, and projects proposed by others ended up as vaporware. Many thanks to the i3 folks for providing such a great piece of software, so good that your users would rather write an entirely new window manager from scratch that behaved exactly like i3 rather than switch to something else.

Launch sway directly from a tty or via your favorite Wayland-compatible login manager.

COMMANDS

If sway is currently running, you may run sway [command] to send command to the running instance of sway. The same commands you would use in the config file are valid here (see sway(5)). For compatibility reasons, you may also issue commands with swaymsg(1) or i3-msg(1) (or even with i3(1), probably).

CONFIGURATION

The path to a config file can be given via the -c parameter, else sway searches for it in the following locations: - ~/.sway/config - $XDG_CONFIG_HOME/sway/config (suggested location) - ~/.i3/config - $XDG_CONFIG_HOME/i3/config (XDG_HOME ) - /etc/sway/config - /etc/i3/config

In /etc/sway/config the standard config file is installed. An error is raised when no config file is found.

To write your own configuration, it’s suggested that you copy the default config file to the location of your choosing and start there.

For information on the config file format, see sway(5).

ENVIRONMENT

The following environment variables have an effect on sway:

SWAY_CURSOR_THEME
    Specifies the name of the cursor theme to use.

SWAY_CURSOR_SIZE
    Specifies the size of the cursor to use.

SWAYSOCK
    Specifies the path to the sway IPC socket.

WLC_DRM_DEVICE
    Specifies the device to use in DRM mode.

WLC_SHM
    Set 1 to force EGL clients to use shared memory.

WLC_OUTPUTS
    Number of fake outputs to use when running in X11 mode.

WLC_XWAYLAND
    Set to 0 to disable Xwayland support.

WLC_LIBINPUT
    Set to 1 to force libinput (even in X11 mode).

WLC_REPEAT_DELAY
    Configures the keyboard repeat delay.

WLC_REPEAT_RATE
    Configures the keyboard repeat rate.

XKB_DEFAULT_RULES, XKB_DEFAULT_MODEL, XKB_DEFAULT_LAYOUT, XKB_DEFAULT_VARIANT, XKB_DEFAULT_OPTIONS
    Configures the xkb keyboard settings. See xkeyboard-config(7).

AUTHORS

Maintained by Drew DeVault <sir@cmpwn.com>, who is assisted by other open source contributors. For more information about sway development, see https://github.com/swaywm/sway.

SEE ALSO

sway(5) swaymsg(1) swaygrab(1) sway-input(5) sway-bar(5)